## ros-eloquent-fmilibrary-vendor 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(fmilibrary_vendor)

find_package(ament_cmake REQUIRED)

include(ExternalProject)
externalproject_add(FMILibraryProject
  GIT_REPOSITORY https://github.com/modelon-community/fmi-library.git
  GIT_TAG 2.1
  TIMEOUT 60
)
externalproject_get_property(FMILibraryProject INSTALL_DIR)
set(FMILibraryProject_INCLUDE_DIR "${INSTALL_DIR}/src/install/include")
set(FMILibraryProject_LIB_DIR "${INSTALL_DIR}/src/install/lib")

install(DIRECTORY ${FMILibraryProject_INCLUDE_DIR}/ DESTINATION include)
install(FILES ${FMILibraryProject_LIB_DIR}/libfmilib.a DESTINATION lib)
install(FILES ${FMILibraryProject_LIB_DIR}/libfmilib_shared.so DESTINATION lib)

ament_export_include_directories(include)
ament_export_libraries(libfmilib.a libfmilib_shared.so)
ament_package()

=== debian/changelog ===
ros-eloquent-fmilibrary-vendor (0.2.0-1bionic) bionic; urgency=high

  * Updated to FMILibrary version 2.1 and new location on GitHub.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 21 Jan 2020 23:00:00 -0000

ros-eloquent-fmilibrary-vendor (0.1.1-1bionic) bionic; urgency=high

  * Added build status badges.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Sun, 27 Oct 2019 23:00:00 -0000

ros-eloquent-fmilibrary-vendor (0.1.0-1bionic) bionic; urgency=high

  * Created vendor package for FMILibrary.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Fri, 02 Aug 2019 22:00:00 -0000

=== debian/control ===
Source: ros-eloquent-fmilibrary-vendor
Section: misc
Priority: optional
Maintainer: Ralph Lange <ralph.lange@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), git, ros-eloquent-ament-cmake, ros-eloquent-ros-workspace
Homepage: https://jmodelica.org/
Standards-Version: 3.9.2

Package: ros-eloquent-fmilibrary-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ros-workspace
Description: Wrapper (aka vendor package) around the FMILibrary by Modelon AB (JModelica.org)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-fmilibrary-vendor//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
